Update a QC Checklist and items
Updates a QC Checklist and items
curl --request PATCH \
--url https://api.slate.inc/qc/v2/qc/checklists/{qclID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"version": "<string>",
"roles": [
{
"id": "<string>",
"displayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z"
}
],
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"roleId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemOrder": 123,
"allowNA": true
}
]
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/checklists/{qclID}"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archivedOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"version": "<string>",
"roles": [
{
"id": "<string>",
"displayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z"
}
],
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"roleId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemOrder": 123,
"allowNA": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
archivedOn: '2023-11-07T05:31:56Z',
displayName: '<string>',
description: '<string>',
version: '<string>',
roles: [
{
id: '<string>',
displayName: '<string>',
createdOn: '2023-11-07T05:31:56Z',
archivedOn: '2023-11-07T05:31:56Z'
}
],
checklistItems: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdOn: '2023-11-07T05:31:56Z',
archivedOn: '2023-11-07T05:31:56Z',
displayName: '<string>',
description: '<string>',
roleId: '<string>',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
itemOrder: 123,
allowNA: true
}
]
})
};
fetch('https://api.slate.inc/qc/v2/qc/checklists/{qclID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"checklistItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"description": "<string>",
"roleId": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"itemOrder": 123,
"allowNA": true
}
],
"archivedOn": "2023-11-07T05:31:56Z",
"description": "<string>",
"version": "<string>",
"groupType": "alphanumeric",
"roles": [
{
"id": "<string>",
"displayName": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"archivedOn": "2023-11-07T05:31:56Z"
}
],
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupType": "alphanumeric"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.
Path Parameters
Body
Unique identifier for the QC checklist
Timestamp when the QC checklist was archived
Name of the QC checklist
A longer description of the QC checklist.
The version of the checklist
Roles associated with the QC checklist.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
QC Request patched successfully
Unique identifier for the QC checklist
Timestamp when the QC checklist was created
Name of the QC checklist
Show child attributes
Show child attributes
Timestamp when the QC checklist was archived
A longer description of the QC checklist.
The version of the checklist
The type of numbering used for this checklist's groups. Only set once the checklist has at least one group.
alphanumeric, numeric Roles associated with the QC checklist.
Show child attributes
Show child attributes
Groups associated with the QC checklist. Only applicable to review type checklists.
Show child attributes
Show child attributes
